/*
 * WinDom: a high level GEM library
 * Copyright (c) 1997-2003 Dominique Bereziat & Arnaud Bercegeay
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 * $Source: /cvsroot/windom/windom/src/wind_lst2.c,v $
 *
 * CVS info:
 *   $Author: bercegeay $
 *   $Date: 2003/02/24 19:21:11 $
 *   $Revision: 1.1 $
 */


#include <stddef.h>
#include <stdlib.h>
#include "globals.h"

void add_windowlist( int handle) {
	int top = 0;
	
	while( __windowlist[top] != -1)
		top = __windowlist[top];
	__windowlist[ top] = handle;
	__windowlist[ handle] = -1;
}

void remove_windowlist( int handle) {
	int top;
	
	for( top = 0; __windowlist[top] != handle; top = __windowlist[top]);
	__windowlist[ top] = __windowlist[ handle];
	__windowlist[ handle] = 0;
}

int bottom_windowlist( void) {
	return __windowlist[0];
}

